Package com.google.android.exoplayer2.source.ads

## Class AdsLoader.OverlayInfo

- java.lang.Object
- - com.google.android.exoplayer2.source.ads.AdsLoader.OverlayInfo

- Enclosing interface:
    AdsLoader

      public static final class AdsLoader.OverlayInfo
      extends Object

  Provides information about an overlay view shown on top of an ad view group.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `AdsLoader.OverlayInfo.Purpose` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `purpose` | The purpose of the overlay view.
    `static int` | `PURPOSE_CLOSE_AD` | Purpose for ad close buttons overlaying the player.
    `static int` | `PURPOSE_CONTROLS` | Purpose for playback controls overlaying the player.
    `static int` | `PURPOSE_NOT_VISIBLE` | Purpose for overlays that are not visible.
    `static int` | `PURPOSE_OTHER` | Purpose for other overlays.
    `String` | `reasonDetail` | An optional, detailed reason that the overlay view is needed.
    `View` | `view` | The overlay view.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OverlayInfo​(View view, int purpose)` | Creates a new overlay info.
    `OverlayInfo​(View view, int purpose, String detailedReason)` | Creates a new overlay info.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PURPOSE_CONTROLS

          public static final int PURPOSE_CONTROLS

      Purpose for playback controls overlaying the player.
      See Also:
        Constant Field Values

    - #### PURPOSE_CLOSE_AD

          public static final int PURPOSE_CLOSE_AD

      Purpose for ad close buttons overlaying the player.
      See Also:
        Constant Field Values

    - #### PURPOSE_OTHER

          public static final int PURPOSE_OTHER

      Purpose for other overlays.
      See Also:
        Constant Field Values

    - #### PURPOSE_NOT_VISIBLE

          public static final int PURPOSE_NOT_VISIBLE

      Purpose for overlays that are not visible.
      See Also:
        Constant Field Values

    - #### view

          public final View view

      The overlay view.

    - #### purpose

          @Purpose
          public final int purpose

      The purpose of the overlay view.

    - #### reasonDetail

          @Nullable
          public final String reasonDetail

      An optional, detailed reason that the overlay view is needed.

  - ### Constructor Detail

    - #### OverlayInfo

          public OverlayInfo​(View view,
                             @Purpose
                             int purpose)

      Creates a new overlay info.
      Parameters:
        `view` - The view that is overlaying the player.
        `purpose` - The purpose of the view.

    - #### OverlayInfo

          public OverlayInfo​(View view,
                             @Purpose
                             int purpose,
                             @Nullable
                             String detailedReason)

      Creates a new overlay info.
      Parameters:
        `view` - The view that is overlaying the player.
        `purpose` - The purpose of the view.
        `detailedReason` - An optional, detailed reason that the view is on top of the player. See the documentation for the `AdsLoader` implementation for more information on this string's formatting.